Substy Developers
Inbox and fans

Get fan profiles

Look up fan profiles by IDs for one creator. Concise mode returns identity, subscription and spending details, notes, AI state and actual list memberships; full mode retains every sanitized platform field.

GET/v1/agencies/{agencyId}/creators/{creatorId}/fan-profiles

Look up fan profiles by IDs for one creator. Concise mode returns identity, subscription and spending details, notes, AI state and actual list memberships; full mode retains every sanitized platform field.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Query Parameters

fanIds*array<string>
Itemsitems <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/fan-profiles?fanIds=string" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "property1": {      "enabled": null,      "creatorId": null,      "name": "string",      "age": null,      "birthday": null,      "job": null,      "hobbies": null,      "interests": null,      "fan_place": null,      "nickname": null,      "isFemale": null,      "family_information": null,      "friends_information": null,      "origins": null,      "likes": null,      "dislikes": null,      "dick_size": null,      "dreams": null,      "payday": null,      "salary": null,      "notes": "string",      "language": null,      "timezone": null,      "aiDisabledAt": null,      "aiDisabledByEmployeeId": null,      "handoffRequestedAt": null,      "handoffResolvedAt": null,      "handoffResolvedByEmployeeId": null,      "lastSentMessageAt": null,      "lastFanReplyAt": null,      "chatInboxId": null,      "chatId": null,      "id": "string",      "username": "string",      "displayName": null,      "avatar": null,      "avatarThumbnails": null,      "isCreator": true,      "isRestricted": true,      "subscribePrice": 0,      "isSubscribed": true,      "subscribedFor": "string",      "lists": [        {          "hasUser": true,          "canAddUser": true,          "id": "string",          "name": "string",          "type": "string"        }      ],      "lastSeen": null,      "canChat": true,      "spentDetails": {        "ai": 0,        "tips": 0,        "subscribes": 0,        "messages": 0,        "posts": 0,        "streams": 0      },      "totalSpent": 0,      "isBlocked": true,      "isMuted": true,      "aiEnabled": true,      "subscribedAt": null,      "lastPpvPurchaseAt": null,      "isCanceledNextMonth": true    },    "property2": {      "enabled": null,      "creatorId": null,      "name": "string",      "age": null,      "birthday": null,      "job": null,      "hobbies": null,      "interests": null,      "fan_place": null,      "nickname": null,      "isFemale": null,      "family_information": null,      "friends_information": null,      "origins": null,      "likes": null,      "dislikes": null,      "dick_size": null,      "dreams": null,      "payday": null,      "salary": null,      "notes": "string",      "language": null,      "timezone": null,      "aiDisabledAt": null,      "aiDisabledByEmployeeId": null,      "handoffRequestedAt": null,      "handoffResolvedAt": null,      "handoffResolvedByEmployeeId": null,      "lastSentMessageAt": null,      "lastFanReplyAt": null,      "chatInboxId": null,      "chatId": null,      "id": "string",      "username": "string",      "displayName": null,      "avatar": null,      "avatarThumbnails": null,      "isCreator": true,      "isRestricted": true,      "subscribePrice": 0,      "isSubscribed": true,      "subscribedFor": "string",      "lists": [        {          "hasUser": true,          "canAddUser": true,          "id": "string",          "name": "string",          "type": "string"        }      ],      "lastSeen": null,      "canChat": true,      "spentDetails": {        "ai": 0,        "tips": 0,        "subscribes": 0,        "messages": 0,        "posts": 0,        "streams": 0      },      "totalSpent": 0,      "isBlocked": true,      "isMuted": true,      "aiEnabled": true,      "subscribedAt": null,      "lastPpvPurchaseAt": null,      "isCanceledNextMonth": true    }  },  "meta": {    "requestId": "string"  }}